import 'auth_user.dart';
import 'credentials.dart';

abstract class AuthProvider{
  /// returns Error message. Returns null if was successful
  Future<String?> emailPasswordSignIn(LoginCredentials credentials);

  Future signOut();

  Stream<AuthUser> get authUserChanged;

  AuthUser get currentAuthUser;

  Future<AuthUser?> updateDisplayName(String? name);
}